package org.wso2.solutions.identity.sts;

/**
 * 
 * This class holds constants
 * @author muthulee(dimuthul@wso2.com)
 *
 */
public class IdentityConstants {

	public static final String IDENTITY_PREFIX = "ic";
	public static final String IDENTITY_NAMESPACE = "http://schemas.microsoft.com/ws/2005/05/identity";
	public static final String NS_IDENTITY = "http://schemas.xmlsoap.org/ws/2005/05/identity";

	public static final String PROPERTY_USER = 	"IdentityProvier.User";
	    // Attibute namespaces
	    public final static String ATTR_NS_GIVEN_NAME = NS_IDENTITY
	            + "/claims/givenname";

	    public final static String ATTR_NS_SURNAME = NS_IDENTITY
	            + "/claims/surname";

	    public final static String ATTR_NS_EMAIL_ADDRESS = NS_IDENTITY
	            + "/claims/emailaddress";
	
	    public final static String ATTR_NS_STREET_ADDRESS = NS_IDENTITY
        		+ "/claims/streetaddress";
	    public final static String ATTR_NS_CITY = NS_IDENTITY
        		+ "/claims/locality";
	    public final static String ATTR_NS_STATE = NS_IDENTITY
        		+ "/claims/stateorprovince";
	    public final static String ATTR_NS_POSTAL_CODE = NS_IDENTITY
        		+ "/claims/postalcode";
	    public final static String ATTR_NS_COUNTRY = NS_IDENTITY
        		+ "/claims/country";
	    
	    public final static String ATTR_NS_HOME_PHONE = NS_IDENTITY
        		+ "/claims/homephone";
	    public final static String ATTR_NS_WORK_PHONE = NS_IDENTITY
        		+ "/claims/otherphone";
	    public final static String ATTR_NS_MOBILE_PHONE = NS_IDENTITY
        		+ "/claims/mobile";
	    
	    // Attibute namespaces
	    public final static String DISPLAY_GIVEN_NAME = "Given Name";
	    public final static String DISPLAY_SURNAME = "Surname";
	    public final static String DISPLAY_EMAIL_ADDRESS = "Email address";
	    public final static String DISPLAY_STREET_ADDRESS = "Street address";
	    public final static String DISPLAY_CITY = "City";
	    public final static String DISPLAY_STATE = "State or Province";
	    public final static String DISPLAY_POSTAL_CODE = "Postal code";
	    public final static String DISPLAY_COUNTRY = "Country";
	    public final static String DISPLAY_HOME_PHONE = "Homephone(Primary)";
	    public final static String DISPLAY_WORK_PHONE = "Otherphone";
	    public final static String DISPLAY_MOBILE_PHONE = "Mobile";
	    public final static String ISSUER_SELF = "Self";

	   
	    
	public static class LocalNames {
		public static final String REQUESTED_DISPLAY_TOKEN = "RequestedDisplayToken";
		public static final String REQUEST_DISPLAY_TOKEN = "RequestDisplayToken";
		public static final String DISPLAY_TOKEN = "DisplayToken";
		public static final String DISPLAY_CLAIM = "DisplayClaim";
		public static final String DISPLAY_TAG = "DisplayTag";
		public static final String DISPLAY_VALUE = "DisplayValue";
		public static final String IDENTITY_CLAIM = "Claim";
		public static final String IDENTITY_CLAIM_TYPE = "ClaimType";
		
		public static final String INFO_CARD_REFERENCE = "InformationCardReference";
		public static final String CARD_ID = "CardId";

	}
	


}
