package org.wso2.solutions.identity.relyingparty;

import junit.framework.TestCase;

public class UsersTest extends TestCase {

    /**
     * Add user.
     *
     * @throws Exception
     */

    protected void setUp() throws Exception {
        System.setProperty(Users.WSAS_HOME, "target/test_env");
    }

    protected void tearDown() throws Exception {
        System.getProperties().remove(Users.WSAS_HOME);
    }

    public void testUsers() throws Exception {

        /**
         * Setting the Test Environment
         */



        Users users = Users.getInstance();
        users.addUser("test");

        RPSelfIssuedUser rpuser = (RPSelfIssuedUser) users.realm.getUser("test");
        String str = rpuser.getConfirmString();

        assertTrue(users.confirm(str));


    }
}
